For the latest version, please use Certificate Lifecycle Manager 6.11.0!

Endpoints

Admin

archiveEntitiesBatch

POST /api/v1/admin/batch-archive

Batch Archive resources from an Entity

Parameters
Body Parameter
Name Description Required Default Pattern

ArchiveAllEntitiesRequestDto

ArchiveAllEntitiesRequestDto

X

Query Parameters
Name Description Required Default Pattern

entity

Dynamically specified Type of Entity

X

null

archive

The requested update for the archived property of the desired resource

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 1. http response codes
Code Message Datatype

204

Archived the requested resources of an Entity

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

archiveSingleEntity

PATCH /api/v1/admin/{id}/archive

Archive a resource from an Entity

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the resource's archived status that will be updated

X

null

Query Parameters
Name Description Required Default Pattern

entity

Dynamically specified Type of Entity

X

null

archive

The requested update for the archived property of the desired resource

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 2. http response codes
Code Message Datatype

204

Archived the requested resource of an Entity

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

deleteArchived

DELETE /api/v1/admin/archived

Delete archived resources from an Entity

Parameters
Query Parameters
Name Description Required Default Pattern

entity

Dynamically specified Type of Entity for which the deletion will be ordered

X

null

until

The date until which all the archived resources of the entity will be deleted

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 3. http response codes
Code Message Datatype

204

Deleted the archived resource of an Entity

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

deleteArchivedEntities

POST /api/v1/admin/batch-delete

Batch Delete archived resources from an Entity

Parameters
Body Parameter
Name Description Required Default Pattern

DeleteArchivedEntitiesRequestDto

DeleteArchivedEntitiesRequestDto

X

Query Parameters
Name Description Required Default Pattern

entity

Dynamically specified Type of Entity for which the deletion will be ordered

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 4. http response codes
Code Message Datatype

204

Deleted the requested resources

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

ApiClient

createNewApiClient

POST /api/v1/api-clients/

Create an Api Client

Parameters
Body Parameter
Name Description Required Default Pattern

CreateNewApiClientRequest

CreateNewApiClientRequest

X

Content Type
  • application/json

Responses
Table 5. http response codes
Code Message Datatype

201

Api Client created

CreateNewApiClientResponse[CreateNewApiClientResponse]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

502

Bad Gateway, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

deleteApiClient

DELETE /api/v1/api-clients/{id}

Delete Api Client

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired resource

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 6. http response codes
Code Message Datatype

204

Api Client Deleted

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

502

Bad Gateway, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getApiClientDetails

GET /api/v1/api-clients/{id}

Get Api Client

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired resource

X

null

Content Type
  • application/json

Responses
Table 7. http response codes
Code Message Datatype

200

Found Api Client

GetApiClientDetailsResponse[GetApiClientDetailsResponse]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

502

Bad Gateway, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

resetApiClientSecret

POST /api/v1/api-clients/{id}/reset-secret

Reset Api Client’s secret

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired resource

X

null

Content Type
  • application/json

Responses
Table 8. http response codes
Code Message Datatype

200

Api Client's secret was reset

ResetApiClientSecretResponse[ResetApiClientSecretResponse]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

502

Bad Gateway, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

searchApiClients

POST /api/v1/api-clients/search

Search Api Clients

Parameters
Body Parameter
Name Description Required Default Pattern

ApiClientSearchRequestDto

ApiClientSearchRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 9. http response codes
Code Message Datatype

200

Found Api Clients

GetApiClientResponseDtoPage[GetApiClientResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

502

Bad Gateway, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

updateApiClient

PUT /api/v1/api-clients/{id}

Update an Api Client

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Api Client

X

null

Body Parameter
Name Description Required Default Pattern

UpdateApiClientRequest

UpdateApiClientRequest

X

Content Type
  • application/json

Responses
Table 10. http response codes
Code Message Datatype

200

Api Client updated

UpdateApiClientResponse[UpdateApiClientResponse]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

502

Bad Gateway, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

AsyncCertificate

orderCertificate

POST /api/v2/certificates/cert-requests/{id}

Order a Certificate by Certificate Request

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Certificate Request that will be used to order the Certificate

X

null

Content Type
  • application/json

Responses
Table 11. http response codes
Code Message Datatype

201

Certificate Ordered

OrderCertificateResponseDto[OrderCertificateResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

orderMultipleCertificates

POST /api/v2/certificates/cert-requests

Order Multiple Certificates by Certificate Requests

Parameters
Body Parameter
Name Description Required Default Pattern

UUID

[UUID]

X

Query Parameters
Name Description Required Default Pattern

omitArtifacts

Decides whether to omit artifacts of the created certificates or not

-

false

Content Type
  • application/json

Responses
Table 12. http response codes
Code Message Datatype

201

Certificates ordered

OrderMultipleCertificatesResponseDto[OrderMultipleCertificatesResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

AuthenticatedPrincipal

getAuthenticatedPrincipal

GET /api/v1/authenticated-principal/

Get Authenticated Principal

Parameters
Content Type
  • application/json

Responses
Table 13. http response codes
Code Message Datatype

200

Authenticated Principal Found

AuthenticatedPrincipalResponseDto[AuthenticatedPrincipalResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getAuthenticatedPrincipalPermissions

GET /api/v1/authenticated-principal/permissions

Get Authenticated Principal concatenated permissions

Parameters
Content Type
  • application/json

Responses
Table 14. http response codes
Code Message Datatype

200

Authenticated Principal Permissions Found

GetAuthenticatedPrincipalPermissionsResponseDto[GetAuthenticatedPrincipalPermissionsResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

Ca

downloadCaCertificate

GET /api/v1/cas/{id}/download

Download CA Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the requested CA Certificate

X

null

Content Type
  • application/json

Responses
Table 15. http response codes
Code Message Datatype

200

CA Certificate Downloaded

CaCertificateDataPemDto[CaCertificateDataPemDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCa

GET /api/v1/cas/{id}

Get CA by Id

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the requested Ca

X

null

Return Type
Content Type
  • application/json

Responses
Table 16. http response codes
Code Message Datatype

200

Found CA

GetCaResponseDto[GetCaResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getTrustedCas

POST /api/v1/cas/get-trusted

Get trusted CAs in PEM format according to the search criteria.

Parameters
Body Parameter
Name Description Required Default Pattern

GetTrustedCasRequestDto

GetTrustedCasRequestDto

X

Content Type
  • application/json

Responses
Table 17. http response codes
Code Message Datatype

200

Trusted CAs acquired

GetTrustedCasResponseDto[GetTrustedCasResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

importCaCertificates

POST /api/v1/cas/import

Import CA Certificate(s) from pem file content

Parameters
Body Parameter
Name Description Required Default Pattern

ImportCaRequestDto

ImportCaRequestDto

X

Return Type
Content Type
  • application/json

Responses
Table 18. http response codes
Code Message Datatype

201

CA Certificate(s) Imported

ImportCaResponseDto[ImportCaResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

searchCas

POST /api/v1/cas/search

Search CA

Parameters
Body Parameter
Name Description Required Default Pattern

CaSearchRequestDto

CaSearchRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 19. http response codes
Code Message Datatype

200

Found CA

SearchCaResponseDtoPage[SearchCaResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

updateCa

PATCH /api/v1/cas/{id}

Update a CA

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the CA that will be updated

X

null

Body Parameter
Name Description Required Default Pattern

UpdateCaRequestDto

UpdateCaRequestDto

X

Return Type
Content Type
  • application/json

Responses
Table 20. http response codes
Code Message Datatype

200

CA Updated

UpdateCaResponseDto[UpdateCaResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

verifyCaCertificates

POST /api/v1/cas/import/verify

Verify CA Certificate(s) from PEM file content

Parameters
Body Parameter
Name Description Required Default Pattern

ImportCaRequestDto

ImportCaRequestDto

X

Content Type
  • application/json

Responses
Table 21. http response codes
Code Message Datatype

200

CA Certificate(s) Verified

VerifyImportCaResponseDto[VerifyImportCaResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

CertRequest

approveCertRequest

PATCH /api/v1/cert-requests/{id}/approve

Approve a Certificate Request

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Certificate Request

X

null

Content Type
  • application/json

Responses
Table 22. http response codes
Code Message Datatype

200

Certificate Request Approved

ApproveCertReqResponseDto[ApproveCertReqResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

createCertRequest

POST /api/v1/cert-requests/

Create a Certificate Request

Parameters
Body Parameter
Name Description Required Default Pattern

CreateCertReqRequestDto

CreateCertReqRequestDto

X

Content Type
  • application/json

Responses
Table 23. http response codes
Code Message Datatype

201

Certificate Request Created

CreateCertReqResponseDto[CreateCertReqResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

createMultipleCertRequest

POST /api/v1/cert-requests/multiple

Create a Certificate Request for multiple End Entities

Parameters
Body Parameter
Name Description Required Default Pattern

CreateMultipleCertReqRequestDto

CreateMultipleCertReqRequestDto

X

Content Type
  • application/json

Responses
Table 24. http response codes
Code Message Datatype

201

Certificate Request Created

CreateMultipleCertReqResponseDto[CreateMultipleCertReqResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

declineCertRequest

PATCH /api/v1/cert-requests/{id}/decline

Decline a Certificate Request

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Certificate Request

X

null

Content Type
  • application/json

Responses
Table 25. http response codes
Code Message Datatype

200

Certificate Request Declined

DeclineCertReqResponseDto[DeclineCertReqResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

examinePkcs10Request

PUT /api/v1/cert-requests/examine-pkcs10-request

Examine PKCS10 request against End Entity and Policy

Parameters
Body Parameter
Name Description Required Default Pattern

ExaminePkcs10RequestRequestDto

ExaminePkcs10RequestRequestDto

X

Content Type
  • application/json

Responses
Table 26. http response codes
Code Message Datatype

200

Examination completed

ExaminePkcs10RequestResponseDto[ExaminePkcs10RequestResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertRequest

GET /api/v1/cert-requests/{id}

Get a Certificate Request

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Certificate Request

X

null

Return Type
Content Type
  • application/json

Responses
Table 27. http response codes
Code Message Datatype

200

Certificate Request Found

GetCertReqResponseDto[GetCertReqResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertRequestAdditionalData

PATCH /api/v1/cert-requests/{id}/additional-data

Get Certificate Request additional data

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Certificate Request

X

null

Content Type
  • application/json

Responses
Table 28. http response codes
Code Message Datatype

200

Certificate Request Found

GetCertRequestAdditionalDataResponseDto[GetCertRequestAdditionalDataResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertRequestByPkcs10AndEndEntity

POST /api/v1/cert-requests/end-entities/{id}/by-pkcs10

Get Certificate Request by End Entity and PKCS10

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the End Entity, used to find the desired Certificate Request

X

null

Body Parameter
Name Description Required Default Pattern

CertReqSearchByPkcs10

CertReqSearchByPkcs10

X

Return Type
Content Type
  • application/json

Responses
Table 29. http response codes
Code Message Datatype

200

Certificate Request found

GetCertReqResponseDto[GetCertReqResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getMostRecentPendingCertificates

GET /api/v1/cert-requests/realms/{id}/pending

Get pending Certificate Requests of a specific Realm

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Realm for which the pending Certificate Requests are requested

X

null

Query Parameters
Name Description Required Default Pattern

size

The limit of the requested pending Certificate Requests

X

null

Content Type
  • application/json

Responses
Table 30. http response codes
Code Message Datatype

200

Pending Certificate Requests of Realm Found

GetPendingCertReqResponseDtoPage[GetPendingCertReqResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getNameOfRolesWithCertRequestAccess

GET /api/v1/cert-requests/{id}/roles

Get role names of respective certificate request

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the Certificate Request that will be used to fetch role names with access to it

X

null

Content Type
  • application/json

Responses
Table 31. http response codes
Code Message Datatype

200

Role names Found

GetEntityRoleNamesResponseDto[GetEntityRoleNamesResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

importCertificates

POST /api/v1/cert-requests/import-certificates

Import certificates

Parameters
Body Parameter
Name Description Required Default Pattern

ImportCertificatesRequestDto

ImportCertificatesRequestDto

X

Content Type
  • application/json

Responses
Table 32. http response codes
Code Message Datatype

201

Certificates imported

ImportCertificatesResponseDto[ImportCertificatesResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

importPKCS12

POST /api/v1/cert-requests/import-pkcs12

Import PKCS12

Parameters
Body Parameter
Name Description Required Default Pattern

ImportPKCS12RequestDto

ImportPKCS12RequestDto

X

Content Type
  • application/json

Responses
Table 33. http response codes
Code Message Datatype

201

PKCS12 imported

ImportPKCS12ResponseDto[ImportPKCS12ResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

resendEmailVerificationForCertRequest

POST /api/v1/cert-requests/{id}/resend-verification-email

Resend E-Mail verification for a Certificate Request

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Certificate Request for which the resend verification E-Mail is requested

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 34. http response codes
Code Message Datatype

204

E-Mail verification sent

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

searchAllCertRequests

POST /api/v1/cert-requests/search-all

Search all Certificate Requests

Parameters
Body Parameter
Name Description Required Default Pattern

SearchAllRequestDto

SearchAllRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 35. http response codes
Code Message Datatype

200

Certificate Requests Found

GetCertReqResponseDtoPage[GetCertReqResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

searchCertRequests

POST /api/v1/cert-requests/search

Search Certificate Requests

Parameters
Body Parameter
Name Description Required Default Pattern

CertReqSearchRequestDto

CertReqSearchRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 36. http response codes
Code Message Datatype

200

Certificate Requests Found

GetCertReqResponseDtoPage[GetCertReqResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

verifyImportCertificates

POST /api/v1/cert-requests/import-certificates/verify

Verify import certificates request

Parameters
Body Parameter
Name Description Required Default Pattern

VerifyImportCertificatesRequestDto

VerifyImportCertificatesRequestDto

X

Content Type
  • application/json

Responses
Table 37. http response codes
Code Message Datatype

200

Import certificates request verified

VerifyImportCertificatesResponseDto[VerifyImportCertificatesResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

Certificate

createCertificate

POST /api/v1/certificates/cert-requests/{id}

Create Certificate by Certificate Request

This endpoint has been deprecated and will be removed in future versions.

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Certificate Request that will be used to create the Certificate

X

null

Content Type
  • application/json

Responses
Table 38. http response codes
Code Message Datatype

201

Certificate Created

CreateCertificateResponseDto[CreateCertificateResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

createMultipleCertificates

POST /api/v1/certificates/cert-requests

Create Multiple Certificates by Certificate Requests

This endpoint has been deprecated and will be removed in future versions.

Parameters
Body Parameter
Name Description Required Default Pattern

UUID

[UUID]

X

Query Parameters
Name Description Required Default Pattern

omitArtifacts

Decides whether to omit artifacts of the created certificates or not

-

false

Content Type
  • application/json

Responses
Table 39. http response codes
Code Message Datatype

201

Certificates Created

CreateMultipleCertificateFromCertRequestsResponseDto[CreateMultipleCertificateFromCertRequestsResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

deleteCertificatePrivateKey

DELETE /api/v1/certificates/{id}/private-key

Delete private key of certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the Certificate whose private key should be deleted

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 40. http response codes
Code Message Datatype

204

Certificate private key deleted

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

deleteCertificatesPrivateKey

POST /api/v1/certificates/private-key

Delete private keys of certificates

Parameters
Body Parameter
Name Description Required Default Pattern

DeletePrivateKeysBatchRequestDto

DeletePrivateKeysBatchRequestDto

X

Content Type
  • application/json

Responses
Table 41. http response codes
Code Message Datatype

200

Private key(s) deleted

DeletePrivateKeysBatchResponseDto[DeletePrivateKeysBatchResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

downloadCertificate

GET /api/v1/certificates/{id}/download

Download Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Return Type
Content Type
  • application/json

Responses
Table 42. http response codes
Code Message Datatype

200

Certificate Downloaded

CertificatePemDto[CertificatePemDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

downloadCertificateChain

GET /api/v1/certificates/{id}/download-chain

Download Chain of Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Query Parameters
Name Description Required Default Pattern

casFirst

Decides if the chain will start with the EE certificate or not

X

null

Return Type
Content Type
  • application/json

Responses
Table 43. http response codes
Code Message Datatype

200

Certificate Chain Downloaded

CertificatePemDto[CertificatePemDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

downloadCertificatePrivateKey

GET /api/v1/certificates/{id}/download-private-key

Download private key of the Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Content Type
  • application/json

Responses
Table 44. http response codes
Code Message Datatype

200

Certificate private key downloaded

CertificatePrivateKeyPemDto[CertificatePrivateKeyPemDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

downloadCertificatesAsZip

GET /api/v1/certificates/batch-download

Batch Download Certificates

Parameters
Query Parameters
Name Description Required Default Pattern

ids

The list of ids in order to specify the desired Certificates [UUID]

X

null

Return Type
Content Type
  • application/json

Responses
Table 45. http response codes
Code Message Datatype

200

Certificates Downloaded

ZippedFileDto[ZippedFileDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

downloadCrl

GET /api/v1/certificates/{id}/crl

Download crl for a Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Return Type
Content Type
  • application/json

Responses
Table 46. http response codes
Code Message Datatype

200

Certificate's crl downloaded

CrlDto[CrlDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

emailCertificate

POST /api/v1/certificates/{id}/email

Send Certificate E-Mail

Parameters
Path Parameters
Name Description Required Default Pattern

id

ID of the Certificate that will be sent to the Certificate's End Entity E-Mail

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 47. http response codes
Code Message Datatype

204

Certificate E-Mail sent

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getAuditEventsForCertificate

GET /api/v1/certificates/{id}/audit-events

Get Audit Events for a Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Content Type
  • application/json

Responses
Table 48. http response codes
Code Message Datatype

200

Certificate's Audit Events Found

GetAuditEventResponseDtoList[GetAuditEventResponseDtoList]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertificateByFingerprint

GET /api/v1/certificates/by-fingerprint

Get Certificate by fingerprint

Parameters
Query Parameters
Name Description Required Default Pattern

fingerprint

The fingerprint used to get the desired Certificate

X

null

Content Type
  • application/json

Responses
Table 49. http response codes
Code Message Datatype

200

Found Certificate

GetCertificateResponseDto[GetCertificateResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertificateByIssuerDnAndSerialNumber

POST /api/v1/certificates/by-issuer-dn-and-serial-number

Get Certificate by issuerDn and serial number

Parameters
Body Parameter
Name Description Required Default Pattern

GetCertByIssuerDnAndSnDto

GetCertByIssuerDnAndSnDto

X

Content Type
  • application/json

Responses
Table 50. http response codes
Code Message Datatype

200

Found Certificate

GetCertificateResponseDto[GetCertificateResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertificateByIssuerDnBinAndSerialNumber

POST /api/v1/certificates/by-issuer-dn-bin-and-serial-number

Get Certificate by issuerDn in binary format and serial number

Parameters
Body Parameter
Name Description Required Default Pattern

GetCertByIssuerDnBinAndSnDto

GetCertByIssuerDnBinAndSnDto

X

Content Type
  • application/json

Responses
Table 51. http response codes
Code Message Datatype

200

Found Certificate

GetCertificateResponseDto[GetCertificateResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertificateDetails

GET /api/v1/certificates/{id}

Get Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Content Type
  • application/json

Responses
Table 52. http response codes
Code Message Datatype

200

Found Certificate

GetCertificateResponseDto[GetCertificateResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertificatesByRealmId

GET /api/v1/certificates/realms/{id}

Get available Certificates in Realm

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Realm which will be used to get the Certificates that are a part of it

X

null

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 53. http response codes
Code Message Datatype

200

Found Certificates

GetCertificateResponseDtoPage[GetCertificateResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getLatestCertificateStatus

GET /api/v1/certificates/{id}/latest-status

Get the status of a Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the Certificate that will be used to fetch the status of it

X

null

Content Type
  • application/json

Responses
Table 54. http response codes
Code Message Datatype

200

Certificate status acquired

GetCertificateStatusResponseDto[GetCertificateStatusResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getNameOfRolesWithCertificateAccess

GET /api/v1/certificates/{id}/roles

Get role names of respective certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the Certificate that will be used to fetch role names with access to it

X

null

Content Type
  • application/json

Responses
Table 55. http response codes
Code Message Datatype

200

Role names Found

GetEntityRoleNamesResponseDto[GetEntityRoleNamesResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getOcspStatus

GET /api/v1/certificates/{id}/ocsp-status

Get the OCSP status of a Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Return Type
Content Type
  • application/json

Responses
Table 56. http response codes
Code Message Datatype

200

OCSP status of Certificate Found

OcspStatusCheckDto[OcspStatusCheckDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getSoonExpiringCertificates

GET /api/v1/certificates/realms/{id}/expiring

Get the Certificates that are expiring soon of the requested Realm

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the Realm for which the expiring Certificates were requested

X

null

Query Parameters
Name Description Required Default Pattern

size

The limit of the requested expiring Certificates

X

null

Content Type
  • application/json

Responses
Table 57. http response codes
Code Message Datatype

200

Expiring soon Certificates for the Realm Found

GetCertificateResponseDtoPage[GetCertificateResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

retrieveCertificateP12

GET /api/v1/certificates/{id}/pkcs12

Retrieve P12 Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Return Type
Content Type
  • application/json

Responses
Table 58. http response codes
Code Message Datatype

200

P12 Certificate Retrieved

KeystoreFileDto[KeystoreFileDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

revokeCertificate

POST /api/v1/certificates/revoke

Revoke Certificate

Parameters
Query Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

revocationReason

The reason of the revoke

-

null

Content Type
  • application/json

Responses
Table 59. http response codes
Code Message Datatype

200

Certificate Revoked

RevokeCertificateResponseDto[RevokeCertificateResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

revokeMultipleCertificates

POST /api/v1/certificates/batch-revoke

Batch Revoke Certificates

Parameters
Body Parameter
Name Description Required Default Pattern

RevokeCertificateRequestDto

RevokeCertificateRequestDto

X

Content Type
  • application/json

Responses
Table 60. http response codes
Code Message Datatype

200

Certificates Revoked

RevokeMultipleCertificateResponseDto[RevokeMultipleCertificateResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

searchAllCertificates

POST /api/v1/certificates/search-all

Search all Certificates

Parameters
Body Parameter
Name Description Required Default Pattern

SearchAllRequestDto

SearchAllRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 61. http response codes
Code Message Datatype

200

Found Certificates

GetCertificateResponseDtoPage[GetCertificateResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

searchCertificates

POST /api/v1/certificates/search

Search Certificates

Parameters
Body Parameter
Name Description Required Default Pattern

CertificateSearchRequestDto

CertificateSearchRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 62. http response codes
Code Message Datatype

200

Found Certificates

GetCertificateResponseDtoPage[GetCertificateResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

suspendCertificate

POST /api/v1/certificates/{id}/suspend

Suspend Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 63. http response codes
Code Message Datatype

204

Certificate Suspended

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

unsuspendCertificate

POST /api/v1/certificates/{id}/unsuspend

Unsuspend Certificate

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the desired Certificate

X

null

Return Type

-

Content Type
  • application/json

Responses
Table 64. http response codes
Code Message Datatype

204

Certificate Unsuspended

<<>>

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

validateCertificate

POST /api/v1/certificates/validate

Validates a PEM certificate returning true/false and CA chain, if the certificate can be validated by the known CAs in the system

Parameters
Body Parameter
Name Description Required Default Pattern

RawPemCertificateDto

RawPemCertificateDto

X

Content Type
  • application/json

Responses
Table 65. http response codes
Code Message Datatype

200

Certificate is validated

CertificateValidationResponseDto[CertificateValidationResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

validateCertificatePlain

POST /api/v1/certificates/validate-plain

Validates a PEM certificate returning true/false, if the certificate can be validated by the known CAs in the system

Parameters
Body Parameter
Name Description Required Default Pattern

RawPemCertificateDto

RawPemCertificateDto

X

Content Type
  • application/json

Responses
Table 66. http response codes
Code Message Datatype

200

Certificate is validated

CertificatePlainValidationResponseDto[CertificatePlainValidationResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

CertificateProvider

addCertificateProviderToRealms

PUT /api/v1/certificate-providers/{id}/realms/add

Add a Certificate Provider to Realms

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of Certificate Provider that will be added to the realms

X

null

Body Parameter
Name Description Required Default Pattern

UpdateCertProviderRealmsRequestDto

UpdateCertProviderRealmsRequestDto

X

Content Type
  • application/json

Responses
Table 67. http response codes
Code Message Datatype

200

Certificate provider added to realm(s)

BatchUpdateCertProviderRealmsResponseDto[BatchUpdateCertProviderRealmsResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

checkCertificateProviderConnection

POST /api/v1/certificate-providers/{id}/check-connection

Check connected of the Certificate Provider

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of Certificate Provider that will be checked for connection

X

null

Content Type
  • application/json

Responses
Table 68. http response codes
Code Message Datatype

200

Certificate Provider connected Checked

CheckCertificateProviderConnectionDto[CheckCertificateProviderConnectionDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

createCertificateProvider

POST /api/v1/certificate-providers/

Create a Certificate Provider

Parameters
Body Parameter
Name Description Required Default Pattern

CreateCertificateProviderRequestDto

CreateCertificateProviderRequestDto

X

Content Type
  • application/json

Responses
Table 69. http response codes
Code Message Datatype

201

Created Certificate Provider

CreateCertificateProviderResponseDto[CreateCertificateProviderResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCertificateProvider

GET /api/v1/certificate-providers/{id}

Get Certificate Provider by Id

Parameters
Path Parameters
Name Description Required Default Pattern

id

The id of the requested Certificate Provider

X

null

Content Type
  • application/json

Responses
Table 70. http response codes
Code Message Datatype

200

Found Certificate Provider

GetCertificateProviderResponseDto[GetCertificateProviderResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

removeCertificateProviderFromRealms

PUT /api/v1/certificate-providers/{id}/realms/remove

Remove a Certificate Provider from Realms

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of Certificate Provider that will be added to the realms

X

null

Body Parameter
Name Description Required Default Pattern

UpdateCertProviderRealmsRequestDto

UpdateCertProviderRealmsRequestDto

X

Content Type
  • application/json

Responses
Table 71. http response codes
Code Message Datatype

201

Certificate provider removed from realm(s)

BatchUpdateCertProviderRealmsResponseDto[BatchUpdateCertProviderRealmsResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

200

OK

BatchUpdateCertProviderRealmsResponseDto[BatchUpdateCertProviderRealmsResponseDto]

searchCertificateProviders

POST /api/v1/certificate-providers/search

Find the Certificate Providers

Parameters
Body Parameter
Name Description Required Default Pattern

CertificateProviderSearchRequestDto

CertificateProviderSearchRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 72. http response codes
Code Message Datatype

200

Certificate Providers Found

GetCertificateProviderResponseDtoPage[GetCertificateProviderResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

searchCertificateProvidersForPolicyCreateUpdate

POST /api/v1/certificate-providers/minimal/search

Find the Certificate Providers (non admin)

Parameters
Body Parameter
Name Description Required Default Pattern

CertificateProviderSearchRequestDto

CertificateProviderSearchRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 73. http response codes
Code Message Datatype

200

Certificate Providers Found

GetCertificateProviderMinimalResponseDtoPage[GetCertificateProviderMinimalResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

searchRealmsOfCertificateProvider

POST /api/v1/certificate-providers/{id}/realms

Find the Realms of a Certificate Provider

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of Certificate Provider that will be checked for connection

X

null

Body Parameter
Name Description Required Default Pattern

CertificateProviderRealmsSearchRequestDto

CertificateProviderRealmsSearchRequestDto

X

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 74. http response codes
Code Message Datatype

200

Certificate provider realms found

GetRealmResponseDtoPage[GetRealmResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

updateCertificateProvider

PATCH /api/v1/certificate-providers/{id}

Update a Certificate Provider

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of Certificate Provider that will be updated

X

null

Body Parameter
Name Description Required Default Pattern

UpdateCertificateProviderRequestDto

UpdateCertificateProviderRequestDto

X

Content Type
  • application/json

Responses
Table 75. http response codes
Code Message Datatype

200

Certificate Provider Updated

UpdateCertificateProviderResponseDto[UpdateCertificateProviderResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

CertificateProviderOptions

getAllTemplateSignersByCertificateProviderId

GET /api/v1/certificate-providers-options/{id}/all-cara-template-signers

Returns all Template Signers of the Certificate Provider with this ID and the RA Template Signers

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the Certificate Provider for which the Template Signers are requested

X

null

Content Type
  • application/json

Responses
Table 76. http response codes
Code Message Datatype

200

Template Signers Found

CaraTemplateSignerDtoList[CaraTemplateSignerDtoList]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getMscaTemplatesByCertificateProviderId

GET /api/v1/certificate-providers-options/{id}/msca-templates

Returns the MS CA Templates of the Certificate Provider with this ID

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the Certificate Provider for which the MS CA Templates are requested

X

null

Content Type
  • application/json

Responses
Table 77. http response codes
Code Message Datatype

200

MS CA Templates Found

MscaTemplatesResponseDto[MscaTemplatesResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getPcspAuthorizationDocument

GET /api/v1/certificate-providers-options/{id}/pcsp-authorization-document

Get PCSP authorization document by person, organization, role and certificate provider ID

Description

Returns an authorization document for the specified person, organization and role within the given PCSP certificate provider.

Parameters
Path Parameters
Name Description Required Default Pattern

id

The unique identifier of the certificate provider

X

null

Query Parameters
Name Description Required Default Pattern

personId

The unique identifier of the person

X

null

organizationId

The unique identifier of the organization

X

null

role

The role that should be included in the authorization document

X

null

Content Type
  • application/json

Responses
Table 78. http response codes
Code Message Datatype

200

PCSP person returned

PcspAuthorizationDocumentResponseDto[PcspAuthorizationDocumentResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getPcspOrganization

GET /api/v1/certificate-providers-options/{id}/pcsp-organizations/{organizationId}

Get PCSP organization by organization ID and certificate provider ID

Description

Returns the requested organization for the specified PCSP certificate provider.

Parameters
Path Parameters
Name Description Required Default Pattern

id

The unique identifier of the certificate provider

X

null

organizationId

The unique identifier of the organization

X

null

Content Type
  • application/json

Responses
Table 79. http response codes
Code Message Datatype

200

PCSP organization returned

PcspOrganizationResponseDto[PcspOrganizationResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getPcspOrganizations

GET /api/v1/certificate-providers-options/{id}/pcsp-organizations

Get PCSP organizations by certificate provider ID

Description

Returns the organizations for the specified PCSP certificate provider.

Parameters
Path Parameters
Name Description Required Default Pattern

id

The unique identifier of the certificate provider

X

null

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 80. http response codes
Code Message Datatype

200

PCSP organizations returned

GetPcspOrganizationResponseDtoPage[GetPcspOrganizationResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getPcspPerson

GET /api/v1/certificate-providers-options/{id}/pcsp-persons/{personId}

Get PCSP person by person ID and certificate provider ID

Description

Returns the requested person for the specified PCSP certificate provider.

Parameters
Path Parameters
Name Description Required Default Pattern

id

The unique identifier of the certificate provider

X

null

personId

The unique identifier of the person

X

null

Return Type
Content Type
  • application/json

Responses
Table 81. http response codes
Code Message Datatype

200

PCSP person returned

PcspPersonResponseDto[PcspPersonResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getPcspPersons

GET /api/v1/certificate-providers-options/{id}/pcsp-persons

Get PCSP persons by certificate provider ID

Description

Returns the persons for the specified PCSP certificate provider.

Parameters
Path Parameters
Name Description Required Default Pattern

id

The unique identifier of the certificate provider

X

null

Query Parameters
Name Description Required Default Pattern

page

Zero-based page index (0..N)

-

0

size

The size of the page to be returned

-

20

sort

Sorting criteria in the format: property,(asc

desc). Default sort order is ascending. Multiple sort criteria are supported. [String]

-

null

Content Type
  • application/json

Responses
Table 82. http response codes
Code Message Datatype

200

PCSP persons returned

GetPcspPersonResponseDtoPage[GetPcspPersonResponseDtoPage]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getPcspProducts

GET /api/v1/certificate-providers-options/{id}/pcsp-products

Get PCSP products by certificate provider ID

Description

Returns the products for the specified PCSP certificate provider.

Parameters
Path Parameters
Name Description Required Default Pattern

id

The unique identifier of the certificate provider

X

null

Content Type
  • application/json

Responses
Table 83. http response codes
Code Message Datatype

200

PCSP products returned

PcspProductsResponseDto[PcspProductsResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getPcspSelfPerson

GET /api/v1/certificate-providers-options/{id}/pcsp-persons/self

Get the PCSP person related with the credentials of provided PCSP certificate provider

Description

Returns the requested person for the specified PCSP certificate provider.

Parameters
Path Parameters
Name Description Required Default Pattern

id

The unique identifier of the certificate provider

X

null

Return Type
Content Type
  • application/json

Responses
Table 84. http response codes
Code Message Datatype

200

PCSP person returned

PcspPersonResponseDto[PcspPersonResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getPublicCasProducts

GET /api/v1/certificate-providers-options/{id}/public-cas-products

Returns the Public CAs products of the Certificate Provider with this ID

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the Certificate Provider for which the products are requested

X

null

Content Type
  • application/json

Responses
Table 85. http response codes
Code Message Datatype

200

Public CAs Products Found

PublicCAsProductsResponseDto[PublicCAsProductsResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getTemplateSignersByCertificateProviderId

GET /api/v1/certificate-providers-options/{id}/cara-template-signers

Returns the Template Signers of the Certificate Provider with this ID

Parameters
Path Parameters
Name Description Required Default Pattern

id

Id of the Certificate Provider for which the Template Signers are requested

X

null

Content Type
  • application/json

Responses
Table 86. http response codes
Code Message Datatype

200

Template Signers Found

CaraTemplateSignerDtoList[CaraTemplateSignerDtoList]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

Cmp

calculateMac

POST /api/v1/cmp/calculate-mac

Perform a MAC calculation with an End Entity password and a policy

Parameters
Body Parameter
Name Description Required Default Pattern

CmpCalculateMacRequestDto

CmpCalculateMacRequestDto

X

Content Type
  • application/json

Responses
Table 87. http response codes
Code Message Datatype

200

Mac calculation operation was completed without errors. See response for verification result.

CmpCalculateMacResponseDto[CmpCalculateMacResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

getCmpConfigurationByPolicyId

GET /api/v1/cmp/policies/{policyId}/configuration

Find a CMP configuration by a policy ID

Parameters
Path Parameters
Name Description Required Default Pattern

policyId

Id of Policy associated with CMP configuration

X

null

Content Type
  • application/json

Responses
Table 88. http response codes
Code Message Datatype

200

CMP configuration Found

GetCmpConfigurationResponseDto[GetCmpConfigurationResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

409

Conflict, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

signData

POST /api/v1/cmp/sign

Signs the data with CMP signer for the policy provided in the parameters

Parameters
Body Parameter
Name Description Required Default Pattern

CmpSignRequestDto

CmpSignRequestDto

X

Return Type
Content Type
  • application/json

Responses
Table 89. http response codes
Code Message Datatype

200

Data signed

SignDataResponseDto[SignDataResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

404

Not Found, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

405

Http method not allowed

ApiExceptionResponse[ApiExceptionResponse]

415

Specified media not supported for this endpoint

ApiExceptionResponse[ApiExceptionResponse]

422

Unprocessable Entity, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

verifyMacEndEntityCommonName

POST /api/v1/cmp/verify-mac/cn

Verifies a MAC using an end-entity password and policy by searching for the end-entity using its common name.

Parameters
Body Parameter
Name Description Required Default Pattern

CmpVerifyMacEndEntityCommonNameRequestDto

CmpVerifyMacEndEntityCommonNameRequestDto

X

Content Type
  • application/json

Responses
Table 90. http response codes
Code Message Datatype

200

Mac verify operation was completed without errors. See response for verification result.

CmpVerifyMacResponseDto[CmpVerifyMacResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

verifyMacEndEntityId

POST /api/v1/cmp/verify-mac/id

Verifies a MAC using an end-entity password and a policy by searching for the end-entity using its ID.

Parameters
Body Parameter
Name Description Required Default Pattern

CmpVerifyMacEndEntityIdRequestDto

CmpVerifyMacEndEntityIdRequestDto

X

Content Type
  • application/json

Responses
Table 91. http response codes
Code Message Datatype

200

Mac verify operation was completed without errors. See response for verification result.

CmpVerifyMacResponseDto[CmpVerifyMacResponseDto]

400

Bad Request

ApiExceptionResponse[ApiExceptionResponse]

401

Authentication Failed

ApiExceptionResponse[ApiExceptionResponse]

403

Access Denied

ApiExceptionResponse[ApiExceptionResponse]

500

Internal Error, check the result for more information

ApiExceptionResponse[ApiExceptionResponse]

Configuration

checkEmailConnection

POST /api/v1/configuration/check-email-connection

Check the connection of the configuration E-Mail

Parameters
Return Type

-

Content Type
[...]
